Get a customer
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/customers/{customer_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/customers/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"user": {
"auth_provider": "<string>",
"auth_provider_id": "<string>",
"email": "<string>",
"id": "<string>",
"status": "<string>",
"username": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"internal_wallets": [
{
"address": "<string>",
"id": "<string>",
"user_id": "<string>",
"wallet_kind": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"last_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"clubs": [
{
"country_id": "<string>",
"icon_url": "<string>",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"sport_id": "<string>"
}
],
"cohort_metadata": {},
"country": {
"code": "<string>",
"icon_url": "<string>",
"id": "<string>",
"name": "<string>"
}
},
"tenant": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Customers
Get a customer
Reads one customer record through the Portal API.
See the Gateway API entry for the full description.
GET
/
tenant
/
{tenantId}
/
customers
/
{customer_id}
Get a customer
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/customers/{customer_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/customers/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"user": {
"auth_provider": "<string>",
"auth_provider_id": "<string>",
"email": "<string>",
"id": "<string>",
"status": "<string>",
"username": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"internal_wallets": [
{
"address": "<string>",
"id": "<string>",
"user_id": "<string>",
"wallet_kind": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"last_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"clubs": [
{
"country_id": "<string>",
"icon_url": "<string>",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"sport_id": "<string>"
}
],
"cohort_metadata": {},
"country": {
"code": "<string>",
"icon_url": "<string>",
"id": "<string>",
"name": "<string>"
}
},
"tenant": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}⌘I

